# eslint-plugin-underscore

Catch common misusses of Underscore

## Installation

You'll first need to install [ESLint](http://eslint.org):

```
$ npm i eslint --save-dev
```

Next, install `eslint-plugin-underscore`:

```
$ npm install eslint-plugin-underscore --save-dev
```

**Note:** If you installed ESLint globally (using the `-g` flag) then you must also install `eslint-plugin-underscore` globally.

## Usage

Add `underscore` to the plugins section of your `.eslintrc` configuration file. You can omit the `eslint-plugin-` prefix:

```json
{
    "plugins": [
        "underscore"
    ]
}
```


Then configure the rules you want to use under the rules section.

```json
{
    "rules": {
        "underscore/rule-name": 2
    }
}
```

## Supported Rules

- no-manual-matcher: Prefer Underscore's matcher (`{key: value}`) syntax over
  defining a custom callback that checks the value of a property.
