# Always prefer the matcher syntax for Underscore iteratees (no-manual-matcher)

Many Underscore functions allow you to specify a "matcher" object instead of
a callback function.

This feature is poorly understood, so frequently people will write out the
matcher themselves as an anonymous function.

This rule disallows writing the function yourself, in favor of using the
more readable matcher syntax.

## Rule Details

The following patterns are considered warnings:

```js

_.filter(items, function(item) { return item.foo === 'bar'; });

```

The following patterns are not warnings:

```js

_.filter(items, {foo: 'bar'});

```

## Further Reading

[Underscore's iteratee documentation](http://underscorejs.org/#iteratee)
